if test ! -f /etc/linuxprint.cfg; then
	# Abort this script if we didn't go as far as creating a config file
	exit 0
fi

# Remove installed printers
$SETUP_INSTALLPATH/removeprinter
# Remove the global configuration file
rm -f $SETUP_INSTALLPATH/linuxprint.cfg
# Remove stale symlinks
rm -f $SETUP_INSTALLPATH/bin/lpr
if [ -d /usr/lib/cups/filter ]; then
	rm -f /usr/lib/cups/filter/ppmtogdi
	rm -f /usr/lib/cups/filter/pstopcl
fi
rm -f /etc/linuxprint.cfg

if [ -d /etc/alternatives -a -L /usr/bin/lpr ]; then
	if test -f /etc/alternatives/print; then
	    ALT=print
	else
	    ALT=lpr
	fi
	update-alternatives --remove $ALT $SETUP_INSTALLPATH/bin/llpr
elif [ -d /etc/profile.d ]; then
	# Remove profile.d scripts
	rm -f /etc/profile.d/linux.sh /etc/profile.d/linux.csh
else
# Remove the Linux lines from the modified global script
	if [ -w /etc/profile ]; then
		grep -v \#__LINUX__ /etc/profile > /tmp/profile$$
		mv /tmp/profile$$ /etc/profile
	fi
fi
